Subject: [alpine-devel] next generation build scripts - build Alpine without gentoo

From: Natanael Copa <[email-masked]>
Date: Mon, 27 Oct 2008 15:53:02 +0100

Hi,

I have started with some experiments with building things without
gentoo. Those of you have have tried build alpine knows that gentoo
makes things more complicated to get started, even if it certainly makes
it easy for me to maintain it as it is.

I have a script called 'abuild' thats something in between Arch Linux's
makepkg[1], and gentoo's ebuild[2]. The build scripts is very similar to
Arch's PKGBUILD[3]. Main difference is that the APKBUILDs are supposed
to work without bash so no arrays. I have also made the md5sums to be
the raw output of md5sum, rather than using openssl as makepkg does.

abuild is used in a similar way that ebuild is. You run abuild with an
optional list of what you want to do. for example, if you only want to
fetch the sources you run 'abuild fetch'. If you want to fetch sources
and generate the md5sums you run: 'abuild fetch checksum'.

The main reason i didn't just use makepkg from Arch is that we need
support for splitting packages (and it was simple enough so i could just
write a small script from scratch rather than trying to adopt makepkg).

Right now I have implemented it by running the script recursively and
only run a func that changes the pkgname. I'm not sure that this is the
best way to handle it so it would be nice if you had a look at the
script, the example APKBUILDs and gave some feedback.

Please have a look at the abuild and aports repositories:
http://dev.alpinelinux.org/cgit/

[1] http://www.archlinux.org/pacman/makepkg.8.html
[2] http://linuxreviews.org/man/ebuild/
[3] http://www.archlinux.org/pacman/PKGBUILD.5.html

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---